Skip to main content
`Ctrl`+`K`

# SNESMonitorFunction

functional form passed to `SNESMonitorSet()` to monitor convergence of nonlinear solver

## Synopsis

    #include <petscsnes.h>
    PetscErrorCode SNESMonitorFunction(SNES snes, PetscInt its, PetscReal norm, PetscCtx mctx)

Collective

## Input Parameters

- snes - the `SNES` context

- its - iteration number

- norm - 2-norm function value (may be estimated)

- mctx - [optional] monitoring context

## See Also

SNES: Nonlinear Solvers, `SNESMonitorSet()`, `PetscCtx`

## Level

advanced

## Location

src/snes/interface/snes.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages